Subject: Re: [syzbot] [can?] possible deadlock in j1939_sk_queue_drop_all

From: syzbot <[email-masked]>
Date: Wed, 13 Mar 2024 05:23:04 -0700

syzbot suspects this issue was fixed by commit:

commit 6cdedc18ba7b9dacc36466e27e3267d201948c8d
Author: Ziqi Zhao <[email-masked]>
Date:   Fri Jul 21 16:22:26 2023 +0000

    can: j1939: prevent deadlock by changing j1939_socks_lock to rwlock

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=10e4d371180000
start commit:   dd72f9c7e512 Merge tag 'spi-fix-v6-6-rc4' of git://git.ker..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=12abf4cc4f802b24
dashboard link: https://syzkaller.appspot.com/bug?extid=3bd970a1887812621b4c
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=17602089680000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=13398a9d680000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: can: j1939: prevent deadlock by changing j1939_socks_lock to rwlock

For information about bisection process see: https://goo.gl/tpsmEJ#bisection